function WriteArray(A,dim,samp,file)
%
% WriteArray(A,dim,file) simply writes the array A to
% the disk in the current directory under the name
% FILE; the sequence (for slip or rupture times) is
% that along strike (rows) are written as columns,
% down dip values (cols) are written as rows. DIM
% contains the dimensions [W L]
% 
% mmai, 05/17/2001
% ----------------


fid1 = fopen(file, 'w');

[m,n] = size(A);
W = dim(1); L = dim(2);
%x = linspace(1,L,n);
%z = linspace(1,W,m);

x=(0:samp(2):(n-1)*samp(2))
z=(0:samp(1):(m-1)*samp(1))


S = A';		%% transpose for writing

farrprint(fid1,[],['% -------']);
farrprint(fid1,[],['% File: ',file]);
farrprint(fid1,[],['% -------']);
farrprint(fid1,z,'% Ddco Z');
farrprint(fid1,[],['% -------']);
farrprint(fid1,[],['% Strk X']);
farrprint(fid1,[],['% -------']);
for i = 1:n
    farrprint(fid1,[x(i) S(i,:)]);
end 
  
fclose(fid1);
